package TX_OtherClass;

public final class ResponseHead extends JceStruct {
    public int cmdId;
    public int errCode;
    public int requestId;
    public String sUserid;

    public ResponseHead() {
        super();
        this.requestId = 0;
        this.cmdId = 0;
        this.errCode = 0;
        this.sUserid = "";
    }

    public ResponseHead(int arg2, int arg3, int arg4, String arg5) {
        super();
        this.requestId = 0;
        this.cmdId = 0;
        this.errCode = 0;
        this.sUserid = "";
        this.requestId = arg2;
        this.cmdId = arg3;
        this.errCode = arg4;
        this.sUserid = arg5;
    }

    public final void readFrom(c arg4) {
        this.requestId = arg4.a(this.requestId, 0, true);
        this.cmdId = arg4.a(this.cmdId, 1, true);
        this.errCode = arg4.a(this.errCode, 2, true);
        this.sUserid = arg4.b(3, true);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.requestId, 0);
        arg3.a(this.cmdId, 1);
        arg3.a(this.errCode, 2);
        arg3.a(this.sUserid, 3);
    }
}
